Bug 55574 - bind: rndc in default install missfunctionality
bind: rndc in default install missfunctionality
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-02 05:15 EST by Alexander Kanevskiy
Modified: 2010-01-14 15:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-02 05:15:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Kanevskiy 2001-11-02 05:15:32 EST
Description of Problem:
By default install rndc don't work.
Problem with naming keys in /etc/rndc.conf

Version-Release number of selected component (if applicable):


How Reproducible:
install bind-9.1.3-4, run bind by /etc/init.d/named start
run rndc status

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:
[root@bofh kad]# rndc status
rndc: get key definition: not found
[root@bofh kad]#


Expected Results:
[root@bofh kad]# rndc status
rndc: 'status' is not yet implemented
[root@bofh kad]#
(all ok, rndc found a key, and send a command to named)

Additional Information:
soulition: fix patch bind-9.1.3rc2-key.patch
what change name of key to "rndckey", but not change following lines to:
options {
        default-server  localhost;
        default-key     "rndckey";
};

server localhost {
        key     "rndckey";
};
Comment 1 Bernhard Rosenkraenzer 2001-11-05 07:33:10 EST
Thanks, fixed in 9.2.0-0.rc8.2 
 
Comment 2 Fedora Update System 2010-01-14 14:59:20 EST
iw-0.9.19-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/iw-0.9.19-1.fc11
Comment 3 John W. Linville 2010-01-14 15:02:14 EST
Ignore comment 2, my mistake in the updates system...

Note You need to log in before you can comment on or make changes to this bug.